## org.apache.mahout.cf.taste.impl.recommender
Class ByValueRecommendedItemComparator

    java.lang.Object
      org.apache.mahout.cf.taste.impl.recommender.ByValueRecommendedItemComparator

All Implemented Interfaces:
  Serializable, Comparator<RecommendedItem>

    public final class ByValueRecommendedItemComparator

extends Object
implements Comparator<RecommendedItem>, Serializable

Defines a natural ordering from most-preferred item (highest value) to least-preferred.

See Also:
  Serialized Form

Constructor Summary
`ByValueRecommendedItemComparator()`

Method Summary
`int` `compare(RecommendedItem o1, RecommendedItem o2)`
`static Comparator<RecommendedItem>` `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### ByValueRecommendedItemComparator

    public ByValueRecommendedItemComparator()

Method Detail

### getInstance

    public static Comparator<RecommendedItem> getInstance()

### compare

    public int compare(RecommendedItem o1,
                       RecommendedItem o2)

  Specified by:
    `compare` in interface `Comparator<RecommendedItem>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.